The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Traffic Statistics for Outbound SSL

Prev Next

This URL is used to retrieve traffic statistics for outbound SSL for a Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/outboundsslstats

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

sslConnectionAttemptsFromClientToSensor

SSL connection attempts from the client to the Sensor

Number

sslConnectionAttemptsFromSensorToWebServer

SSL connection attempts from the Sensor to the web server

Number

endToEndSSLHandshakesInProgress

End-to-end SSL handshakes in progress

Number

endToEndSSLFlowsEstablished

End-to-end SSL flows established

Number

allowedSSLFlows

Allowed SSL flows

Number

attacksDetectedInSSLFlows

Attacks detected in SSL flows

Number

RSAFlows

RSA flows

Number

diffieHellmanFlows

Diffie-Hellman flows

Number

nonSSLFlows

Non SSL flows

Number

untrustedCertificates

Untrusted certificates

Number

sslFlowsBlockedOrSkippedFromUntrustedCertificates

SSL flows blocked or skipped due to untrusted certificates

Number

sslFlowsBlockedOrSkippedFromUnsupportedCipherSuite

SSL flows blocked or skipped due to unsupported cipher suites

Number

sslFlowsBlockedOrSkippedFromGeneralDecryptionFailures

SSL flow blocked or skipped due to general decryption failures

Number

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/outboundsslstats

Response

{
  "sslConnectionAttemptsFromClientToSensor": 0,
  "sslConnectionAttemptsFromSensorToWebServer": 0,
  "endToEndSSLHandshakesInProgress": 0,
  "endToEndSSLFlowsEstablished": 0,
  "allowedSSLFlows": 0,
  "attacksDetectedInSSLFlows": 0,
  "RSAFlows": 0,
  "diffieHellmanFlows": 0,
  "nonSSLFlows": 0,
  "untrustedCertificates": 0,
  "sslFlowsBlockedOrSkippedFromUntrustedCertificates": 0,
  "sslFlowsBlockedOrSkippedFromUnsupportedCipherSuite": 0,
  "sslFlowsBlockedOrSkippedFromGeneralDecryptionFailures": 0
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

Invalid Sensor: When the device id given is not valid